petsc-3.4.2 2013-07-02

# DMADDAGetMatrixNS

Creates matrix compatiable with two distributed arrays

### Synopsis

    #include "petscdmadda.h"
    PetscErrorCode  DMADDAGetMatrixNS(DM dm, DM dmc, MatType mtype, Mat *mat)

Collective on ADDA

### Input Parameter

addar -the distributed array for which we create the matrix, which indexes the rows
addac -the distributed array for which we create the matrix, which indexes the columns
mtype -Supported types are MATSEQAIJ, MATMPIAIJ, MATSEQBAIJ, MATMPIBAIJ, or any type which inherits from one of these (such as MATAIJ, MATLUSOL, etc.).

### Output Parameter

mat -the empty Jacobian

### Keywords

distributed array, matrix

### See Also

DMCreateMatrix()

Level:beginner
Location:src/dm/impls/adda/adda.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages